Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-15252

META Clean-up and reorganisation of language packs in Moodle 2.0

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.0.3
    • Component/s: Language
    • Labels:
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_20_STABLE

      Description

      Since Moodle 2.0 is going to be a major release, I suggest a break in the backward compatibility of the English language pack (wich is not backwards compatible anymore anyway).
      All strings, not used in Moodle 2.0 should be removed, so the initial translation for a new language pack is less work and less threathening then the + 10k strings there are now.

      The other language packs will keep on being backward compatible due to the orphaned function in lang.php

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Votes:
                  2 Vote for this issue
                  Watchers:
                  13 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Fix Release Date:
                    5/May/11